#!/bin/bash

# Mac Wireguard Installation

wireguardzip="https://gitea.zephyre.one/Pakobbix/quick_wireguardtest/raw/branch/main/Wireguard.app.zip"

if [ -f Wireguard.app.zip ]; then
    echo "Zip bereits vorhanden, überspringe download"
else
    if curl -s $wireguardzip -O "Wireguard.app.zip"; then
        echo "Download beendet"
    else
        echo "Download hatte nicht funktioniert, bitte manuell herunterladen:"
        echo "$wireguardzip"
    fi
fi
unzip WireGuard.app.zip -d /Applications/

sudo chown -R root:wheel /Applications/WireGuard.app
